#
# spec file for package dds2tar (Version 2.5.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dds2tar
URL:            http://www.eulesoft.de/
License:        GPL
Group:          Productivity/Archiving/Backup
Autoreqprov:    on
Version:        2.5.2
Release:        1186.2
Summary:        DDS2 Tape Streamer Utilities
Source:         dds2tar-%{version}.tar.bz2
Patch:          dds2tar-%{version}.dif
Patch1:         %{name}-%{version}-without-kernel-header.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool for quick extraction of individual files from a DDS2 streamer.
dds2tar can control data compression for HP DAT streamers.



Authors:
--------
    Joerg Weule <weule@cs.uni-duesseldorf.de>

%debug_package
%prep
%setup
%patch
%patch1

%build
make CC="gcc $RPM_OPT_FLAGS -fno-strict-aliasing"

%install
make MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING Changes
/usr/bin/*
%doc %{_mandir}/man1/*

%changelog -n dds2tar
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Sep 30 2004 - postadal@suse.cz
- removed dependency on kernel-source and set macro ST_BUFFER_BLOCKS on default value 32 (without-kernel-header.diff)
* Mon Apr 26 2004 - ro@suse.de
- use RPM_OPT_FLAGS
- add no-strict-aliasing
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Jun 06 2001 - adostal@suse.cz
- fixed neededforbuild
* Thu Apr 05 2001 - cihlar@suse.cz
- fixed neededforbuild
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed neededforbuild
* Tue Oct 31 2000 - cihlar@suse.de
- updated to version 2.5.2
- fixed copyright tag
- used %%{_mandir}
* Mon May 15 2000 - cihlar@suse.cz
- Group sorted
* Tue Apr 04 2000 - cihlar@suse.cz
- added BuildRoot
* Tue Jan 18 2000 - ro@suse.de
- man -> usr/share/man
* Thu Oct 28 1999 - ro@suse.de
- filelist fixed
* Wed Oct 27 1999 - ro@suse.de
- created package (version 2.4.21)
